/*
-----------------------------------------------------
   Application Name: "DIMG"
Application Version: 1.1.0
          File Name: cacheimagefile.h
         Start Date: 20/03/2010
       Last Changed: $LastChangedDate: 2011-04-09 00:17:11 +1200 (Sat, 09 Apr 2011) $
           Revision: $Revision: 295 $
          Author(s): David Goodwin
          Copyright: (C) Copyright David Goodwin, 2010
            License: GNU General Public License
   File Description: CacheImageFile Class header
-----------------------------------------------------
        This file is part of "DIMG".

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

        File Notes:
        ------------------
*/

#ifndef CACHEIMAGEFILE_H
#define CACHEIMAGEFILE_H

#include <QObject>
#include <QBuffer>
#include <imagefile.h>
#include "errors.h"

class CacheImageFile : public ImageFile
{
Q_OBJECT
public:
    explicit CacheImageFile(QObject *parent = 0);
    ~CacheImageFile() {}

    QString fileName() const;

    QIODevice *device();

    int save();

    int close();

    ImageFile::Features getFeatures() const;

    QString getComment() const;
    void setComment(QString /*comment*/);
    long maxCommentLength() {return 0;}

    bool isOpen() const;

    bool isDirty() const {return true;}

private:
    QBuffer *buff;

};

#endif // CACHEIMAGEFILE_H
