/*****************************************************************************
 *            Created: 5/04/2011
 *          Copyright: (C) Copyright David Goodwin, 2011
 *            License: GNU General Public License
 *****************************************************************************
 *
 *   This is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This software is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this software; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 ****************************************************************************/


#include "commentprompt.h"
#include <QIcon>

CommentPrompt::CommentPrompt(QWidget *parent):
        QDialog(parent)//, ui(new Ui::CommentPrompt)
{
    //ui->setupUi(this);
    layout = new QVBoxLayout(this);
    setLayout(layout);

    instructions = new QLabel(this);
    instructions->setText("Enter a comment and click OK or click on Cancel to"
                          " save without a comment.");
    layout->addWidget(instructions);

    ed = new CommentEdit(this);
    layout->addWidget(ed);

    buttons = new QDialogButtonBox(QDialogButtonBox::Cancel |
                                   QDialogButtonBox::Ok,
                                   Qt::Horizontal,
                                   this);
    layout->addWidget(buttons);

    connect(buttons, SIGNAL(accepted()), this, SLOT(accept()));
    connect(buttons, SIGNAL(rejected()), this, SLOT(reject()));

    setWindowTitle("Disk Image Comment");

    resize(300,175);

    setWindowIcon(QIcon(":/icons/fugue/res/fugue-ico/comment.png"));
}

CommentPrompt::~CommentPrompt() {

}

QString CommentPrompt::getComment() {
    return ed->toPlainText();
}

void CommentPrompt::setComment(QString newComment) {
    ed->setPlainText(newComment);
}
