/*
-----------------------------------------------------
   Application Name: DIMG
          File Name: uxsettings.cpp
         Start Date: unknown - ask subversion.
       Last Changed: $LastChangedDate: 2011-04-09 00:17:11 +1200 (Sat, 09 Apr 2011) $
           Revision: $Revision: 295 $
          Author(s): David Goodwin
          Copyright: (C) Copyright David Goodwin, 2009,2010
            License: GNU General Public License
   File Description: DQlibdksdrv configuration dialog for UNIX
-----------------------------------------------------
        This file is part of DIMG.

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

File Notes:
------------------
*/


#include "uxsettings.h"

uxsettings::uxsettings(QWidget *parent)
    : QDialog(parent)
{
    ui.setupUi(this);
    connect(ui.pbAdd,SIGNAL(clicked()),this,SLOT(add_floppy_drive()));
    connect(ui.pbRemove,SIGNAL(clicked()),this,SLOT(remove_floppy_drive()));
}

uxsettings::~uxsettings() {
    //
}

QStringList uxsettings::get_floppy_drives() {
    QStringList fds;
    for (int i = 0; i < ui.lwFloppyDrives->count(); i++) {
        fds.append(ui.lwFloppyDrives->item(i)->text());
    }
    return fds;
}

void uxsettings::add_floppy_drives(QStringList floppy_drives) {
    for (int i = 0; i < floppy_drives.count(); i++)
        ui.lwFloppyDrives->addItem(floppy_drives.at(i));
}

void uxsettings::add_floppy_drive() {
    QString fd = QInputDialog::getText(this,"Floppy Drive file","Floppy Drive file:",QLineEdit::Normal,"");
    ui.lwFloppyDrives->addItem(fd);
}

void uxsettings::remove_floppy_drive() {
    delete ui.lwFloppyDrives->takeItem(ui.lwFloppyDrives->currentRow());
}
