/*
-----------------------------------------------------
   Application Name: DIMG - FSContainer
          File Name: fileproperties.h
         Start Date: unknown - ask subversion.
       Last Changed: $LastChangedDate: 2011-04-09 00:17:11 +1200 (Sat, 09 Apr 2011) $
           Revision: $Revision: 295 $
          Author(s): David Goodwin
          Copyright: (C) Copyright David Goodwin, 2008,2009,2010
            License: GNU General Public License
   File Description: File Properties dialog header
-----------------------------------------------------
        This file is part of DIMG.

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

File Notes:
------------------
*/

#ifndef FILEPROPERTIES_H
#define FILEPROPERTIES_H

#include <QtGui/QDialog>
#include "../include/fsentry.h"
#include "../include/FSPlugin.h"
#include <QDir>

namespace Ui {
    class FileProperties;
}

class FileProperties : public QDialog {
    Q_OBJECT
    Q_DISABLE_COPY(FileProperties)
public:
    explicit FileProperties(QWidget *parent = 0);
    virtual ~FileProperties();

    /** Sets the file entry whose properties will be displayed. This method
      does not take ownership of the supplied FSEntry.
      \param e The Filesystem Entry to display the properties dialog for.
     */
    void setFileEntry(FSEntry *e);

protected:
    virtual void changeEvent(QEvent *e);

private:
    Ui::FileProperties *m_ui;
};

#endif // FILEPROPERTIES_H
