# #########################################
# libfatfs - FAT filesystem plugin      #
# #########################################
TEMPLATE = lib
CONFIG += plugin
INCLUDEPATH += ../include

TARGET = fsplugin

# ## Build Mode stuff
# CONFIG += debug_and_release
CONFIG(debug, debug|release) { 
    TARGET = $$join(TARGET,,,d)
    DEFINES += _DIMG_DEBUG
    win32:PREFIX = C:\temp\dimg
    unix:PREFIX = /tmp/dimg
}

# Target directories
debug:DESTDIR = ../debug
release:DESTDIR = ../release
RC_FILE = FatFS.rc

# Generate install target
unix:isEmpty(PREFIX):PREFIX = /opt/dimg
win32:isEmpty(PREFIX):PREFIX = C:/dimg
target.path = $$PREFIX/bin
INSTALLS += target

# Headers
HEADERS += FatFS/util.h \
    FatFS/lfncomponent.h \
    FatFS/fsfile.h \
    FatFS/fatfs.h \
    FatFS/fat12.h \
    FatFS/errors.h \
    FatFS/directoryentry.h \
    FatFS/directory.h \
    FatFS/datachain.h \
    FatFS/dataarea.h \
    FatFS/constants.h \
    FatFS/biosparamblock.h \
    FatFS/abstractfat.h \
    fatfslib.h \
    fatentry.h \
    winutils.h
HEADERS += about_dialog.h
HEADERS += utils.h

# Sources
SOURCES += FatFS/util.cpp \
    FatFS/lfncomponent.cpp \
    FatFS/fsfile.cpp \
    FatFS/fatfs.cpp \
    FatFS/fat12.cpp \
    FatFS/directoryentry.cpp \
    FatFS/directory.cpp \
    FatFS/datachain.cpp \
    FatFS/dataarea.cpp \
    FatFS/biosparamblock.cpp \
    FatFS/abstractfat.cpp \
    fatfslib.cpp \
    fatentry.cpp \
    winutils.cpp
SOURCES += about_dialog.cpp

# Forms
FORMS += about.ui

# For getting windows file icons, we need to link against GDI32 to use the
# Shell API.
win32:LIBS += libgdi32
