################################################################################
# QtDIMG - Image File Format Plugins                                           #
################################################################################
#                                                                              #
# This project file builds the following image file format modules:            #
#   FPraw       -- A basic raw image handler with caching                      #
#   FPzip       -- Support for zipped (.IMZ) raw images                        #
#   FPlibdsk    -- An alternative raw image handler powered by LibDsk.         #
#                  Supports a wider variety of image formats than the basic    #
#                  module.                                                     #
################################################################################

TEMPLATE = subdirs

# Raw image handler
SUBDIRS += FPraw

# Raw images in zip files. Commonly using the IMZ extension. This module
# supports them.
SUBDIRS += FPzip

# An alternative raw image handler with wider format support.
# This is disabled for now until development resumes properly.
#SUBDIRS += FPlibdsk